SoBumpMapCoordinate(3)

NAME
SoBumpMapCoordinate - The SoBumpMapCoordinate class is a node for providing bump map coordinates to shape nodes.

SYNOPSIS

#include <Inventor/nodes/SoBumpMapCoordinate.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoBumpMapCoordinate (void)
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void callback (SoCallbackAction *action)
virtual void pick (SoPickAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoMFVec2f point

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoBumpMapCoordinate ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoBumpMapCoordinate class is a node for providing bump map coordinates to shape nodes. When encountering nodes of this type during traversal, the coordinates it contains will be put on the state stack for later use by shape nodes. The bump map coordinates can be used to specify explicit coordinates for a bump map. The SoBumpMap node is used to specify a bump map for the shape nodes.

Note that an SoBumpMapCoordinate node will replace the bump map coordinates already present in the state (if any).

Also note that since the indexed shape nodes have no bumpMapCoordIndex field, the textureCoordIndex field will be used for selecting bump map coordinate indices. You can set the bump map coordinate binding using the SoTextureCoordinateBinding node. Bump map coordinates must therefore have the same binding as the texture coordinates for texture unit 0.

If you supply no bump map coordinates for a shape, the texture coordinates for texture unit 0 will be used.

FILE FORMAT/DEFAULTS:

BumpMapCoordinate {
    point [  ]
}

Since
    Coin 2.2

Constructor & Destructor Documentation

  SoBumpMapCoordinate::SoBumpMapCoordinate (void)
Constructor.

  SoBumpMapCoordinate::~SoBumpMapCoordinate () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoBumpMapCoordinate::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoBumpMapCoordinate::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoBumpMapCoordinate::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoBumpMapCoordinate::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoBumpMapCoordinate::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoBumpMapCoordinate::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoBumpMapCoordinate::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoBumpMapCoordinate::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

Member Data Documentation

  SoMFVec3f SoBumpMapCoordinate::point
Set of 2D points. Contains no points by default.

Author

Generated automatically by Doxygen for Coin from the source code.